rte_graph_cluster_stats_param(3)

NAME
rte_graph_cluster_stats_param

SYNOPSIS

#include <rte_graph.h>

  Data Fields

int socket_id
rte_graph_cluster_stats_cb_t fn
uint16_t nb_graph_patterns
const char ** graph_patterns

Detailed Description

Structure to hold configuration parameters for graph cluster stats create.

See also
    rte_graph_cluster_stats_create()

Definition at line 196 of file rte_graph.h.

Field Documentation

  int socket_id
Socket id where memory is allocated

Definition at line 197 of file rte_graph.h.

  rte_graph_cluster_stats_cb_t fn
Stats print callback function. NULL value allowed, in that case, default print stat function used.

Definition at line 199 of file rte_graph.h.

  FILE* f
File pointer to dump the stats when fn == NULL.

Definition at line 205 of file rte_graph.h.

  uint16_t nb_graph_patterns
Number of graph patterns.

Definition at line 207 of file rte_graph.h.

  const char** graph_patterns
Array of graph patterns based on shell pattern.

Definition at line 208 of file rte_graph.h.

Author

Generated automatically by Doxygen for DPDK from the source code.